# $Revision: 1.17 $, $Date: 2005/01/12 07:21:38 $
%define		zope_subname	CMFPhotoAlbum
%define		sub_ver rc2
Summary:	A Zope product providing Photo Album in your CMF
Summary(pl):	Dodatek dla Zope umoliwiajcy operacje na zdjciach w CMF
Name:		Zope-%{zope_subname}
Version:	0.4
Release:	0.%{sub_ver}.3
License:	GPL v2+
Group:		Development/Tools
Source0:	http://dl.sourceforge.net/collective/%{zope_subname}-%{version}%{sub_ver}.tar.gz
# Source0-md5:	5b1157ccdbd7638495481db8c3aefcbe
URL:		http://sourceforge.net/projects/collective/
%pyrequires_eq	python-modules
Requires:	Zope-CMF >= 1:1.4
Requires:	Zope-CMFPlone >= 1.0.1
Requires:	Zope >= 2.6.1
Requires:	Zope-BTreeFolder2 >= 0.5
Requires:	Zope-CMFPhoto
Requires(post,postun):	/usr/sbin/installzopeproduct
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Conflicts:	CMF
Conflicts:	Plone

%description
CMFPhotoAlbum is a Zope product that provides Photo Album in your CMF.

%description -l pl
CMFPhotoAlbum jest dodatkiem dla Zope umoliwiajcym operacje na
zdjciach w CMF.

%prep
%setup -q -n %{zope_subname}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/%{name}

cp -af {Extensions,i18n,skins,*.py,version.txt} $RPM_BUILD_ROOT%{_datadir}/%{name}

%py_comp $RPM_BUILD_ROOT%{_datadir}/%{name}
%py_ocomp $RPM_BUILD_ROOT%{_datadir}/%{name}

# find $RPM_BUILD_ROOT -type f -name "*.py" -exec rm -rf {} \;;

%clean
rm -rf $RPM_BUILD_ROOT

%post
/usr/sbin/installzopeproduct %{_datadir}/%{name} %{zope_subname}
if [ -f /var/lock/subsys/zope ]; then
	/etc/rc.d/init.d/zope restart >&2
fi

%postun
if [ "$1" = "0" ]; then
	/usr/sbin/installzopeproduct -d %{zope_subname}
	if [ -f /var/lock/subsys/zope ]; then
		/etc/rc.d/init.d/zope restart >&2
	fi
fi

%files
%defattr(644,root,root,755)
%doc HISTORY.txt README.txt
%{_datadir}/%{name}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: Zope-CMFPhotoAlbum.spec,v $
Revision 1.17  2005/01/12 07:21:38  ciesiel
- remove R:python
- fixed BR:CMF (epoch)

Revision 1.16  2004/12/27 14:18:20  saq
- release 2 for rebuild with python 2.4

Revision 1.15  2004/10/30 11:59:12  paladine
- spaces->tabs

Revision 1.14  2004/07/28 08:03:20  troll
- removed %%include /usr/lib/rpm/macros.python

Revision 1.13  2004/01/27 08:37:38  ciesiel
- upgraded to version 0.4rc2

Revision 1.12  2004/01/02 23:13:24  ciesiel
- upgraded to 0.4rc1 version

Revision 1.11  2003/12/03 18:08:18  ciesiel
- removed Licenses*

Revision 1.10  2003/12/03 16:31:02  ciesiel
- added missing files

Revision 1.9  2003/11/17 08:17:12  ciesiel
- install into new dir (datadir)
- instalzopeproduct
- cleaning

Revision 1.8  2003/11/16 13:21:57  ciesiel
- changed some obsoletes to conflicts

Revision 1.7  2003/11/15 22:44:57  ciesiel
- added obsoletes

Revision 1.6  2003/11/15 15:22:31  ciesiel
- changed req.

Revision 1.5  2003/10/08 20:11:54  ciesiel
- autoupgrade to 0.3

Revision 1.4  2003/10/07 10:15:05  qboosh
- fixed License, cleanups/simplifications

Revision 1.3  2003/09/27 17:27:40  ciesiel
- .py needed by packages

Revision 1.2  2003/08/22 14:09:33  qboosh
- cleanups

Revision 1.1  2003/07/31 19:29:15  ciesiel
- initial release
